package com.steerinfo.dil.feign;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/12/3 1:14
 */

@FeignClient(value = "dil-tms-truck-dev", url = "172.16.33.166:8088")
public interface TmsFeign {

    @ApiOperation(value="更新计量实绩 ")
    @PostMapping("api/v1/truckTms/updateTruckWeight")
    Map<String, Object> updateTruckWeight(@RequestBody List<Map<String, Object>> mapList);
}
